Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicInternalFrameUI.ComponentHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

All Implemented Interfaces:
  ComponentListener, EventListener

Enclosing class:
  BasicInternalFrameUI

protected class BasicInternalFrameUI.ComponentHandler
extends Object
implements ComponentListener

Constructor Summary
`protected` | `BasicInternalFrameUI.ComponentHandler()`

Method Summary
`void` | `componentHidden(ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(ComponentEvent e)` Invoked when a JInternalFrame's parent's size changes.
`void` | `componentShown(ComponentEvent e)` Invoked when the component has been made visible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicInternalFrameUI.ComponentHandler

    protected BasicInternalFrameUI.ComponentHandler()

Method Detail

### componentResized

    public void componentResized(ComponentEvent e)

  Invoked when a JInternalFrame's parent's size changes.

  Specified by:
    `componentResized` in interface `ComponentListener`

### componentMoved

    public void componentMoved(ComponentEvent e)

  Description copied from interface: `ComponentListener`
  Invoked when the component's position changes.

  Specified by:
    `componentMoved` in interface `ComponentListener`

### componentShown

    public void componentShown(ComponentEvent e)

  Description copied from interface: `ComponentListener`
  Invoked when the component has been made visible.

  Specified by:
    `componentShown` in interface `ComponentListener`

### componentHidden

    public void componentHidden(ComponentEvent e)

  Description copied from interface: `ComponentListener`
  Invoked when the component has been made invisible.

  Specified by:
    `componentHidden` in interface `ComponentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.